/*Author: Shaikh Mohammed Shahnawaz : +91 9821399578 | mohd.shanu@gmail.com*/

/*Custom Style*/

* {
    margin: 0;
    padding: 0;
}

body,
html {
    height: 100%;
    font-family: 'Open Sans', sans-serif !important;
    font-weight: 400;
    color: #000;
    letter-spacing: 0.0600em;
}

a {
    color: #000;
    transition: all 0.30s ease-in-out;
    -webkit-transition: all 0.30s ease-in-out;
    -moz-transition: all 0.30s ease-in-out;
    -ms-transition: all 0.30s ease-in-out;
    -o-transition: all 0.30s ease-in-out;
}

a:hover {
    color: #e71f78;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    letter-spacing: 0.0400em !important;
}

p {
    font-size: 0.9rem;
}

#body-container {
    min-height: calc(100% - 365px);
    height: auto;
    margin: 0;
}

@media (max-width: 991px) {
    #body-container {
        padding: 112px 0 0 0;
    }
}

@media (max-width: 767px) {
    #body-container {
        padding: 91px 0 0 0;
    }
}

/*Custom Style END*/

/*Paddings & Margins*/
.paddingTop-generic-xl {
    padding-top: 70px;
}

.padding-generic-xl {
    padding-top: 70px;
    padding-bottom: 70px;
}

.padding-generic-lg {
    padding-top: 50px;
    padding-bottom: 50px;
}

.padding-generic-sm {
    padding-top: 15px;
    padding-bottom: 15px;
}

@media (max-width: 768px) {
    .paddingTop-generic-xl {
        padding-top: 50px;
    }

    .padding-generic-xl {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .padding-generic-lg {
        padding-top: 35px;
        padding-bottom: 35px;
    }
}

@media (max-width: 414px) {
    .paddingTop-generic-xl {
        padding-top: 30px;
    }

    .padding-generic-xl {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .padding-generic-lg {
        padding-top: 20px;
        padding-bottom: 20px;
    }
}

.p-0 {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.m-t-0 {
    margin-top: 0 !important;
}

.gap-5 {
    height: 5px;
}

.gap-10 {
    height: 10px;
}

.gap-15 {
    height: 15px;
}

.gap-20 {
    height: 20px;
}

.gap-25 {
    height: 25px;
}

.gap-30 {
    height: 30px;
}

.gap-35 {
    height: 35px;
}

.gap-40 {
    height: 40px;
}

.gap-45 {
    height: 45px;
}

.gap-50 {
    height: 50px;
}

.gap-55 {
    height: 55px;
}

.gap-60 {
    height: 60px;
}

.gap-65 {
    height: 65px;
}

.gap-70 {
    height: 70px;
}

.gap-75 {
    height: 75px;
}

.gap-80 {
    height: 80px;
}

.gap-85 {
    height: 85px;
}

.gap-90 {
    height: 90px;
}

.gap-95 {
    height: 95px;
}

.gap-100 {
    height: 100px;
}

@media (max-width: 768px) {
    .gap-50 {
        height: 30px;
    }

    .gap-55 {
        height: 35px;
    }

    .gap-60 {
        height: 40px;
    }

    .gap-65 {
        height: 45px;
    }

    .gap-70 {
        height: 50px;
    }

    .gap-75 {
        height: 55px;
    }

    .gap-80 {
        height: 60px;
    }

    .gap-85 {
        height: 65px;
    }

    .gap-90 {
        height: 70px;
    }

    .gap-95 {
        height: 75px;
    }

    .gap-100 {
        height: 80px;
    }
}

@media (max-width: 500px) {
    .gap-50 {
        height: 20px;
    }

    .gap-55 {
        height: 25px;
    }

    .gap-60 {
        height: 30px;
    }

    .gap-65 {
        height: 35px;
    }

    .gap-70 {
        height: 40px;
    }

    .gap-75 {
        height: 45px;
    }

    .gap-80 {
        height: 50px;
    }

    .gap-85 {
        height: 55px;
    }

    .gap-90 {
        height: 60px;
    }

    .gap-95 {
        height: 65px;
    }

    .gap-100 {
        height: 70px;
    }
}

/*Paddings & Margins END*/

/*Bgs & Colors*/
.bgs-black {
    background-color: #000;
}

.bgs-aqua {
    background-color: #b2fefc;
}

.bgs-light-aqua {
    background-color: #F0FCFB;
}

.bgs-light-grey {
    background-color: #F4F4F4;
}

.bgs-off-white {
    background-color: #f1f1f1;
}

.bgs-light-pink {
    background-color: #FFADAD;
}

.bgs-login {
    background-color: #fff1f7;
}

.bgs-purple-pink {
    background: #e71f78;
    background: -moz-linear-gradient(left, #760668 37%, #e71f78 98%);
    background: -webkit-linear-gradient(left, #760668 37%, #e71f78 98%);
    background: linear-gradient(to right, #760668 37%, #e71f78 98%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#e71f78', endColorstr='#760668', GradientType=1);
}

.bgs-very-light-pink {
    background-color: #FFD5D5;
}

.color-white {
    color: #fff;
}

.color-black {
    color: #000;
}

.color-pink {
    color: #E71F78 !important;
}

/*Bgs & Colors END*/

.loader-outer,
.loader-outer-form {
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 1;
    display: block;
    background-color: #fff;
    z-index: 100000;
}

.loader-outer-form {
    opacity: 0;
    display: none;
    background-color: rgba(255, 255, 255, 0.7);
}

.loader {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #E71F78;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
